#ifndef BOOSTER_H
#define BOOSTER_H

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <winsock2.h>

#include <extdll.h>
#include <sdk_util.h>
#include <dllapi.h>
#include <meta_api.h>

#include "vers_plugin.h"


extern void LogError(const char * format, ...);
extern void free_list(void);
extern unsigned long __fastcall ExchangeImport(HMODULE, unsigned long, unsigned long, unsigned long *);
extern void WINAPI NetSleep(DWORD dwSleep);
extern int PASCAL recvfrom_hook(SOCKET s, char FAR* buf, int len, int flags, struct sockaddr FAR* from, int FAR* fromlen);

extern void plugin_init(void);
extern void plugin_fini(void);

extern cvar_t * cvar_booster_lite_mode;
extern cvar_t * cvar_booster_lite_extra_sleep_frequency;

#endif // BOOSTER_H
